Package junit.swingui

# Class DefaultFailureDetailView

java.lang.Object
junit.swingui.DefaultFailureDetailView

All Implemented Interfaces:
  `FailureDetailView`

public class DefaultFailureDetailView extends Object implements FailureDetailView
A view that shows a stack trace of a failure

## Constructor Summary

Constructors
Constructor
Description
`DefaultFailureDetailView()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clears the output.
`Component`
`getComponent()`
Returns the component used to present the trace
`void`
`showFailure(TestFailure failure)`
Shows a TestFailure

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultFailureDetailView

public DefaultFailureDetailView()

## Method Details

### getComponent

public Component getComponent()
Returns the component used to present the trace

Specified by:
  `getComponent` in interface `FailureDetailView`

### showFailure

public void showFailure(TestFailure failure)
Shows a TestFailure

Specified by:
  `showFailure` in interface `FailureDetailView`

### clear

public void clear()
Clears the output.

Specified by:
  `clear` in interface `FailureDetailView`